
<!DOCTYPE html>
<!--[if lt IE 7 ]><html id="htmlIE6" lang="zh-CN"> <![endif]-->
<!--[if IE 7 ]>	<html id="htmlIE7" lang="zh-CN"> <![endif]-->
<!--[if IE 8 ]>	<html id="htmlIE8" lang="zh-CN"> <![endif]-->
<!--[if IE 9 ]>	<html id="htmlIE9" lang="zh-CN"> <![endif]-->
<!--[if !(IE)]><!--><html id="htmlNotIE" lang="zh-CN"> <!--<![endif]-->
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="renderer" content="webkit">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
	<meta name="application-name" content="Infoobs">
	<meta name="google" content="nositelinkssearchbox">
	<meta name="google" content="notranslate">
	<meta name="generator" content="laravel">
	<meta name="skype_toolbar" content="skype_toolbar_parser_compatible">
	<meta name="csrf-token" content="OVcRgwcFjGitSlQE7Cx2NMZJAIkkC3pUhyS63WUv">
	<title>注册 | 信息化观察网 - 引领行业变革</title>
	<meta name="description" content="信息化观察网，前身为部委观察内训，是以客观、独到、深度、权威的高品质调查和分析为理念，为政府决策提供最有价值的帮助为核心的服务平台。信息化观察网拥有百万活跃数据库，并通过行政级别、职务、行业、地区等30余项划分，内容覆盖人工智能、VR、大数据、智慧城市等热门领域，秉承引领行业变革的理念，发挥资源优势，不断加强在业界的领先地位。">
	<meta name="keywords" content="互联网+, 大数据, 云计算, 数据中心, 信息安全, 物联网, AR, VR, 虚拟现实, 人工智能, 智能制造, 数据安全, 智慧城市, 电子政务, 移动互联网, 信息化观察网, 信息观察网">
	<link rel="canonical" href="http://www.infoobs.com"/>
	<meta property="og:title" content="信息化观察网 - 引领行业变革" />
	<meta property="og:description" content="信息化观察网，前身为部委观察内训，是以客观、独到、深度、权威的高品质调查和分析为理念，为政府决策提供最有价值的帮助为核心的服务平台。信息化观察网拥有百万活跃数据库，并通过行政级别、职务、行业、地区等30余项划分，内容覆盖人工智能、VR、大数据、智慧城市等热门领域，秉承引领行业变革的理念，发挥资源优势，不断加强在业界的领先地位。" />
	<meta property="og:url" content="http://www.infoobs.com" />
	<meta property="og:site_name" content="信息化观察网" />
	<link rel="icon" href="/favicon.ico">
	<link href="https://static.gebaiwan.com/css/base.css" rel="stylesheet" type="text/css" media="all" />
	<link rel="stylesheet" href="/admin-lte/plugins/fontawesome-free/css/all.min.css">
	<link rel="stylesheet" href="/plugins/iziToast-master/dist/css/iziToast.min.css">
	<link href="/template/202003/css/user.css" rel="stylesheet" type="text/css" media="all" />
</head>
<body class="body-sign-in">
<section class="main">
	<div class="sign-wrap">
		<div class="sign-form-wrap sign-up-form-wrap">
			<form action="https://www.infoobs.com/sign-up" autocomplete="off" method="post" id="signUpForm" data-parsley-errors-messages-disabled>
				<input type="hidden" name="_token" value="OVcRgwcFjGitSlQE7Cx2NMZJAIkkC3pUhyS63WUv">				<input type="hidden" name="referer" value="http://www.baidu.com">
				<div class="sign-header">
					<a href="/"><img src="/img/logo-20190603.png" alt="信息化观察网"></a>
					<h1 class="sign-title sr-only">信息化观察网</h1>
					<div class="sign-header-plus">
						<em></em>
						<span class="text font-weight-bold">用户注册</span>
						<em></em>
					</div>
				</div>
				<div class="sign-body">
					<div class="sign-group username">
						<div class="validate-container" data-label="手机号">
							<input type="text" id="username" value="" name="username" class="form-control sign-control" autocomplete="off" placeholder="手机号" data-parsley-required="true" data-parsley-pattern="/^1[\d]{10}$/" data-parsley-pattern-message="手机号格式不正确" data-parsley-required-message="请填写手机号">
						</div>
					</div>
					<div class="sign-group mobile-code">
						<div class="input-group">
							<input type="text" name="code" id="code" class="form-control sign-control" placeholder="验证码" aria-describedby="mobile-code" autocomplete="off" data-parsley-required="true" data-parsley-pattern="/^[\d]+$/" data-parsley-pattern-message="验证码格式不正确" data-parsley-required-message="请填写验证码">
							<div class="input-group-append">
								<button class="btn btn-default" type="button" id="mobile-code"><span class="d-flex"><em>发送验证码</em><img class="ml-1 d-none" src="/img/1.gif" alt=""></span></button>
							</div>
						</div>
					</div>
					<div class="sign-group submit">
						<button type="submit" class="btn btn-block btn-primary">注 册</button>
					</div>
					<div class="sign-body-plus">
						<div>已有账号？<a href="https://www.infoobs.com/sign-in?referer=http%3A%2F%2Fwww.baidu.com">立即登陆</a></div>
					</div>
				</div>
				<div class="sign-footer">
					<div class="sign-header-plus">
						<em></em>
						<span class="text">第三方注册</span>
						<em></em>
					</div>
					<div class="friend-sign-wrap">
						<div class="friend-signs">
							<a href="https://www.infoobs.com/sign-wechat"><span id="friend-sign-weixin" class="friend-sign-item weixin"><i class="fab fa-weixin"></i></span></a>
							<span id="friend-sign-qq" class="friend-sign-item qq mx-3"><i class="fab fa-qq"></i></span>

						</div>
					</div>
					<div class="sign-agreement">注册视为已查看并同意<a href="" target="_blank">《信息化观察网用户协议》</a></div>
				</div>
			</form>
		</div>
	</div>
	<ul class="w3lsg-bubbles">
		<li></li>
		<li></li>
		<li></li>
		<li></li>
		<li></li>
		<li></li>
		<li></li>
		<li></li>
		<li></li>
		<li></li>
	</ul>
</section>

<script src="/admin-lte/plugins/jquery/jquery.min.js"></script>
<script src="/admin-lte/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="/plugins/parsleyjs/dist/parsley.min.js"></script>
<script src="/plugins/parsleyjs/dist/i18n/zh_cn.js"></script>
<script src="/plugins/parsleyjs/dist/i18n/zh_cn.extra.js"></script>
<script src="/plugins/iziToast-master/dist/js/iziToast.min.js"></script>
<script src="/plugins/axios.min.js"></script>
<script src="/plugins/jquery.countdown/dist/jquery.countdown.min.js"></script>
<script src="/plugins/js-cookie/src/js.cookie.js"></script>
<script>
	$(function () {
		var sign_up_sms_send_expired_at = Cookies.get('sign_up_sms_send_expired_at');
		if(typeof sign_up_sms_send_expired_at != 'undefined'){
			$('#username').val(Cookies.get('sign_up_sms_send_mobile'));
			$('#mobile-code').countdown(sign_up_sms_send_expired_at).on('update.countdown', function (event) {
				$(this).attr('disabled', 'disabled').find('em').text('重新发送（'+event.strftime('%T')+' S）').next('img').addClass('d-none');
			}).on('finish.countdown', function (event) {
				$(this).removeAttr('disabled').find('em').text('发送验证码').next('img').addClass('d-none');
			});
		}
		$('#mobile-code').on('click', function (e) {
			e.preventDefault();
			var $this = $(this), $username = $('#username'), mobile = $username.val();
			if(!mobile.length){
				iziToast.destroy();
				iziToast.warning({position:'topCenter',message:'请输入手机号码', displayMode:1,});
				$username.focus();
				return false;
			}
			if(!/^1[\d]{10}$/.test(mobile)){
				iziToast.destroy();
				iziToast.warning({position:'topCenter',message:'手机号码格式不正确', displayMode:1,});
				$username.select();
				return false;
			}
			var axios_api = axios.create({
				headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
			});
			axios_api.interceptors.request.use(function(config){
				$this.attr('disabled', 'disabled').find('em').text('发送中').next('img').removeClass('d-none');
				return config;
			},function(error){
				return Promise.reject(error);
			});
			axios_api.interceptors.response.use(function(response){
				return response;
			},function(error){
				return Promise.reject(error);
			});
			axios_api.post('https://www.infoobs.com/sms/sign-up', {username:mobile})
				.then(function(response) {
					iziToast.destroy();
					var res = response.data;
					if(typeof res.success !== 'undefined'){
						if(!res.success){
							$this.removeAttr('disabled').find('em').text('发送验证码').next('img').addClass('d-none');
							iziToast.warning({position: 'topCenter',message :res.message,displayMode:1,});
							return false;
						}
						Cookies.set('sign_up_sms_send_expired_at', res.expired_at);
						Cookies.set('sign_up_sms_send_mobile', mobile);
						$this.countdown(res.expired_at).on('update.countdown', function (event) {
							$(this).find('em').text('重新发送（'+event.strftime('%T')+' S）').next('img').addClass('d-none');
						}).on('finish.countdown', function (event) {
								$(this).removeAttr('disabled').find('em').text('发送验证码').next('img').addClass('d-none');
						});
					}
				}).catch(function (error) {
					$this.removeAttr('disabled').find('em').text('发送验证码').next('img').addClass('d-none');
					iziToast.destroy();
					if (error.response) {
						iziToast.error({position: 'topCenter',message:error.response.data,displayMode:1,});
					}else{
						iziToast.error({position: 'topCenter',message:error.message,displayMode:1,});
					}
				});
		});
		//
		var $form = $('#signUpForm');
		var form_validate = $form.parsley({
			errorsContainer: function (parsleyField) {
				return parsleyField.$element.parents('.validate-container');
			},
			errorsWrapper: '<label class="validate-wrapper"></label>',
			errorTemplate: '<div class="validate validate-error"></div>'
		});
		form_validate.on('form:error', function(formInstance){
			iziToast.destroy();
			var errors = [];
			for (var idx in formInstance.fields) {
				var error = formInstance.fields[idx].getErrorsMessages();
				if(error.length > 0){
					errors.push((error));
				}
			}
			iziToast.warning({position: 'topCenter',message : errors[0],displayMode:1,})
		}).on('form:submit', function(){
			axios({
				method: $form.attr('method'),
				url: $form.attr('action'),
				data: $form.serialize()
			}).then(function(response) {
				iziToast.destroy();
				var res = response.data;
				if(typeof res.success !== 'undefined'){
					if(!res.success){
						iziToast.warning({position: 'topCenter',message :res.message,displayMode:1,});
						return false;
					}
					Cookies.remove('sign_up_sms_send_expired_at');
					Cookies.remove('sign_up_sms_send_mobile');
					window.location.href = res.redirect
				}
			}).catch(function (error) {
				iziToast.destroy();
				if (error.response) {
					iziToast.error({position: 'topCenter',message:error.response.data,displayMode:1,});
				}else{
					iziToast.error({position: 'topCenter',message:error.message,displayMode:1,});
				}
			});
			return false;
		});
	})
</script>
</body>
</html>
